% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/info_tables.R
\name{info_date_style}
\alias{info_date_style}
\title{View a table with info on date styles}
\usage{
info_date_style()
}
\value{
An object of class \code{gt_tbl}.
}
\description{
The \code{\link[=fmt_date]{fmt_date()}} function lets us format date-based values in a convenient
manner using preset styles. The table generated by the \code{info_date_style()}
function provides a quick reference to all 14 styles, with associated number
codes, the format names, and example outputs using a fixed date
(\code{2000-02-29}).
}
\section{Figures}{

\if{html}{\figure{man_info_date_style_1.png}{options: width=100\%}}
}

\section{Function ID}{

10-1
}

\examples{
# Get a table of info on the different
# date-formatting styles (which are used
# by supplying a number code to the
# `fmt_date()` function)
tab_1 <- info_date_style()

}
\seealso{
Other Information Functions: 
\code{\link{info_currencies}()},
\code{\link{info_google_fonts}()},
\code{\link{info_locales}()},
\code{\link{info_paletteer}()},
\code{\link{info_time_style}()}
}
\concept{Information Functions}
